VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
IFilter Class Referenceabstract
Version 4.1

Filter Interface. More...

Inheritance diagram for IFilter:

## Public Types
using | CreateFunction = IFilter *(*)(IdStringPtr name)

## Public Member Functions
virtual bool | run (bool replaceInputBitmap=false)=0
virtual UTF8StringPtr | getDescription () const =0
virtual bool | setProperty (IdStringPtr name, const Property &property)=0
virtual bool | setProperty (IdStringPtr name, Property &&property)=0
virtual const Property & | getProperty (IdStringPtr name) const =0
virtual uint32_t | getNumProperties () const =0
virtual IdStringPtr | getPropertyName (uint32_t index) const =0
virtual Property::Type | getPropertyType (uint32_t index) const =0
virtual Property::Type | getPropertyType (IdStringPtr name) const =0
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Detailed Description

Filter Interface.

## Member Typedef Documentation

using CreateFunction = IFilter* (*) (IdStringPtr name)

## Member Function Documentation

virtual UTF8StringPtr getDescription | ( |  | ) | const
| pure virtual

Implemented in FilterBase.

virtual uint32_t getNumProperties | ( |  | ) | const
| pure virtual

Implemented in FilterBase.

virtual const Property& getProperty | ( | IdStringPtr | name | ) | const
| pure virtual

Implemented in FilterBase.

virtual IdStringPtr getPropertyName | ( | uint32_t | index | ) | const
| pure virtual

Implemented in FilterBase.

virtual Property::Type getPropertyType | ( | uint32_t | index | ) | const
| pure virtual

Implemented in FilterBase.

virtual Property::Type getPropertyType | ( | IdStringPtr | name | ) | const
| pure virtual

Implemented in FilterBase.

virtual bool run | ( | bool | replaceInputBitmap = `false` | ) |
| pure virtual

virtual bool setProperty | ( | IdStringPtr | name,
|  | const Property & | property
| ) |  |
| pure virtual

Implemented in FilterBase.

virtual bool setProperty | ( | IdStringPtr | name,
|  | Property && | property
| ) |  |
| pure virtual

Implemented in FilterBase.

The documentation for this class was generated from the following file:

- cbitmapfilter.h